[mythtv] Recent scheduler.cpp changes introduced a bug.

Derek Atkins warlord at MIT.EDU
Wed Apr 21 10:06:55 EDT 2004

"Shawn Asmussen" <asmussen at cox.net> writes:

> I don't disagree with this. It just seemed to me from what I'd seen that
> requiring mysql 4.x was the way that the mythtv code was heading. If all
> of the code could be kept 3.x compatible then that'd be great for all of
> the Fedora users who would have trouble making the move to 4.x. Did I
> misread the situation in thinking that mythtv requiring mysql 4 was
> becomming inevitible, or do you think that the code will be moving back in
> a direction that is 3.x compatible?

I believe the statement made was "don't use that SQL code strategy
because it's not supported by MySQL 3.x".  In other words, I believe
the main developers are keen on remaining 3.x-compatible, at least for
the near future.  They've been just as willing to maintain Qt 3.1
compatibility for similar reasons.

I applaud their efforts in maintaining compatibility with systems that
have wide deployment and not cutting off the hands of users who use
systems that aren't bleeding edge.  I encourage the developers to
continue in that vein and maintain compatibility with Qt 3.1 and MySQL
3.x for a while.

> Shawn Asmussen


       Derek Atkins, SB '93 MIT EE, SM '95 MIT Media Laboratory
       Member, MIT Student Information Processing Board  (SIPB)
       URL: http://web.mit.edu/warlord/    PP-ASEL-IA     N1NWH
       warlord at MIT.EDU                        PGP key available

More information about the mythtv-dev mailing list